<%= setup_context :title => I18n.t("enumeration._plural") %>

<div class="row">
  <div class="col-md-12">
    <% if user_can?("update_enumeration_record") %>
      <div class="record-toolbar">
        <div class="pull-right btn-group">
          <%= link_to I18n.t('enumeration._frontend.action.download_csv'), {:controller => 'enumerations', :action => 'csv'}, :class => 'btn btn-default btn-sm' %>
        </div>
        <div class="clearfix"></div>
      </div>
    <% end %>

    <div class="record-pane">
      <%= link_to_help :topic => "enumeration" %>

      <%= render_aspace_partial :partial => "shared/flash_messages" %>

      <div class="form-horizontal">
        <fieldset>
          <div class="form-group required">
            <label class="control-label col-md-3" for="enum_selector"><%= I18n.t("enumeration._frontend.messages.name_selector") %></label>
            <div class="controls">
              <%
                enum_options = @enumerations.map {|e|
                  [sprintf("%s (%s)", I18n.t("enumeration_names.#{e['name']}"), e['name']),
                   JSONModel(:enumeration).id_for(e["uri"])]
                }.sort {|a, b| a[0] <=> b[0]}
              %>
              <%= select_tag "enum_selector", options_for_select([""].concat(enum_options), params[:id]), :style => "width: auto; max-with: 100%;", :class=>"form-control" %>
            </div>
          </div>
        </fieldset>
      </div>

      <div id="read_only_enum_list">

        <% if @enumeration %>
          <%= render_aspace_partial :partial => "read_only_list" %>
        <% else %>
          <%= render_aspace_partial :partial => "empty_list" %>
        <% end %>

      </div>
    </div>
  </div>
</div>
